Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libreoffice pulled in without cause
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
equaeghe
Guru
Guru


Joined: 22 Feb 2005
Posts: 494

PostPosted: Wed Sep 18, 2013 1:49 pm    Post subject: libreoffice pulled in without cause Reply with quote

I have libreoffice-bin installed. During an update, portage wants to replace it with the on my system incompilable libreoffice. What is going on?

Code:

# emerge -DNuvqa world
[...]
[ebuild  N    ] app-office/libreoffice-4.0.4.2  USE="bluetooth branding cups dbus kde opengl vba webdav (-aqua) -debug -eds -gnome -gstreamer -gtk -java -jemalloc -mysql -odk -postgres -telepathy {-test}" LIBREOFFICE_EXTENSIONS="presenter-minimizer -nlpsolver -scripting-beanshell -scripting-javascript -wiki-publisher" PYTHON_SINGLE_TARGET="python2_7 (-python3_3)" PYTHON_TARGETS="python2_7 (-python3_3)"
[uninstall    ] app-office/libreoffice-bin-4.0.4.2  USE="kde (-aqua) -debug -gnome -java" PYTHON_SINGLE_TARGET="python2_7 (-python3_3)" PYTHON_TARGETS="python2_7 (-python3_3)"
[blocks b     ] app-office/libreoffice ("app-office/libreoffice" is blocking app-office/libreoffice-bin-4.0.4.2)
[blocks b     ] app-office/libreoffice-bin ("app-office/libreoffice-bin" is blocking app-office/libreoffice-4.0.


Code:
# grep ooo /var/lib/portage/world
virtual/ooo
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 6336

PostPosted: Wed Sep 18, 2013 2:32 pm    Post subject: Reply with quote

Is libreoffice-bin in your world file? The virtual just makes sure the first matching package is installed, which in this case is app-office/libreoffice.
Back to top
View user's profile Send private message
equaeghe
Guru
Guru


Joined: 22 Feb 2005
Posts: 494

PostPosted: Wed Sep 18, 2013 2:50 pm    Post subject: Reply with quote

Ant P. wrote:
Is libreoffice-bin in your world file? The virtual just makes sure the first matching package is installed, which in this case is app-office/libreoffice.


No, it wasn't. I thought it was used to make the transition from openoffice smooth and haven't had any problems before (libreoffice-bin has been installed for a long time).

In any case, I replaced the virtual by app-office/libreoffice-bin. But then:

Code:
!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
app-office/libreoffice-bin


Code:
# emaint --check world
Emaint: check world        100% [============================================>]


Code:
# eix libreoffice-bin
[I] app-office/libreoffice-bin
     Available versions:  4.0.4.2^st {aqua debug gnome java kde ELIBC="FreeBSD" PYTHON_SINGLE_TARGET="python2_7 python3_3" PYTHON_TARGETS="python2_7 python3_3"}
     Installed versions:  4.0.4.2^st(03:54:39 PM 09/15/2013)(kde -aqua -debug -gnome -java ELIBC="-FreeBSD" PYTHON_SINGLE_TARGET="python2_7 -python3_3" PYTHON_TARGETS="python2_7 -python3_3")
     Homepage:            http://www.libreoffice.org
     Description:         LibreOffice, a full office productivity suite. Binary package.
Back to top
View user's profile Send private message
grumblebear
Apprentice
Apprentice


Joined: 26 Feb 2008
Posts: 169

PostPosted: Wed Sep 18, 2013 8:28 pm    Post subject: Reply with quote

Yes, I got the same messages. Moreover libreoffice-bin now requires boost-1.49, whereas the latest stable boost is 1.52.

It's not the first time, that there is such a mess with libreoffice-bin, but why should I spend hours of compiling libreoffice from source, when I only need it a few times a year to have a look at some Word or Excel file thrown at me.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 14944

PostPosted: Wed Sep 18, 2013 9:57 pm    Post subject: Reply with quote

If you know you cannot compile the source version, you should mask it so that any attempts to pull it in will be forced to find another way or fail outright.
Back to top
View user's profile Send private message
CyberMuz
n00b
n00b


Joined: 03 Jan 2012
Posts: 44

PostPosted: Thu Sep 19, 2013 7:15 am    Post subject: Reply with quote

I have the same problem here. When i do full update i get the following error:

Code:
~ # emerge -DNuvqa world

!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
app-office/libreoffice-bin

Nothing to merge; quitting.


When I run emaint nothing is fixed. I have app-office/libreoffice-bin in world file.
Exactly the same thing happened to my friend so there must be a problem with ebuild.
Back to top
View user's profile Send private message
equaeghe
Guru
Guru


Joined: 22 Feb 2005
Posts: 494

PostPosted: Thu Sep 19, 2013 8:51 am    Post subject: Reply with quote

Hu wrote:
If you know you cannot compile the source version, you should mask it so that any attempts to pull it in will be forced to find another way or fail outright.


That should be unnecessary: installing libreoffice-bin should be enough. The problem I and clearly other people are facing here has to do with the libreoffice-bin ebuild.

I've created a bug report: https://bugs.gentoo.org/show_bug.cgi?id=485380
Back to top
View user's profile Send private message
UncleVan
n00b
n00b


Joined: 08 Feb 2011
Posts: 72

PostPosted: Sun Sep 22, 2013 8:10 pm    Post subject: Not the end yet... Reply with quote

Now last two days "emerge world" behaves strange, libreoffice including (but no libreoffice-bin). Bellow is my output from today.

The marked are the strange ones; it is apparently obvious that there is no need to recompile them . Remarkable: The dependency conflicts are also from today.
I have no libreoffice-bin - and never had. I have 2 different machines with gentoo and they both are showing the same.
As I dont see any reason to build the whole bunch anew, I got the feeling that something has gone wrong with emerge/portage/ebuild ... Is it bug or is it feature ?

Your UncleVan.

Output:

$ emerge -pvuDN world; echo $?

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] sys-kernel/linux-firmware-20130728 [20130421] USE="savedconfig" 18,793 kB
[ebuild U ] net-misc/vpnc-0.5.3_p527-r1 [0.5.3_p527] USE="gnutls -bindist -resolvconf" 97 kB
[ebuild U ] sys-fs/mdadm-3.2.6-r1 [3.1.4] USE="-static" 363 kB
[ebuild U ] dev-util/boost-build-1.52.0-r1 [1.49.0] USE="python -examples {-test%}" 53,147 kB
[ebuild r U ] dev-libs/boost-1.52.0-r6:0/1.52 [1.49.0-r2:0/0] USE="nls%* python threads%* -debug -doc -icu -mpi -static-libs -tools" PYTHON_TARGETS="python2_7%* python3_2%* -python2_6% (-python3_3)" 0 kB
[ebuild N ] dev-util/gdbus-codegen-2.32.4-r1 PYTHON_TARGETS="python2_7 python3_2 -python2_6" 0 kB
[ebuild U ] sci-libs/fftw-3.3.3-r2:3.0 [3.2.2:3.0] USE="fortran openmp sse threads (-altivec) -avx% -doc -fma% -mpi% (-neon) (-quad) -sse2 -static-libs% {-test%} (-zbus)" 3,829 kB
[ebuild rR ] dev-libs/liborcus-0.3.0 USE="-static-libs" 1,342 kB
[ebuild r U ] dev-lang/ghc-7.6.3-r1:0/7.6.3 [7.4.2:0/7.4.2] USE="gmp -binary -doc -ghcbootstrap -ghcmakebinary -llvm" 199,690 kB
[ebuild rR ] dev-haskell/cabal-1.16.0.3:0/1.16.0.3 USE="-profile {-test}" 0 kB
[ebuild rR ] dev-haskell/deepseq-1.3.0.1:0/1.3.0.1 USE="-doc -hscolour -profile" 4 kB
[ebuild rR ] dev-haskell/transformers-0.3.0.0-r1:0/0.3.0.0 USE="-doc -hscolour -profile" 20 kB
[ebuild rR ] dev-haskell/text-0.11.3.1:0/0.11.3.1 USE="-developer -doc -hscolour -profile {-test}" 0 kB
[ebuild rR ] dev-haskell/mtl-2.1.2-r1:0/2.1.2 USE="-doc -hscolour -profile" 14 kB
[ebuild rR ] dev-haskell/network-2.4.1.2:0/2.4.1.2 USE="-doc -hscolour -profile {-test}" 0 kB
[ebuild U ] net-wireless/bluez-4.101-r6 [4.101-r5] USE="alsa cups gstreamer readline usb -debug -pcmcia (-selinux) -test-programs (-consolekit%*)" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
[ebuild NS ] sys-fs/udisks-2.1.0:2 [1.0.4-r5:0] USE="gptfdisk introspection -cryptsetup -debug (-selinux) -systemd" 805 kB
[ebuild U ] app-doc/doxygen-1.8.3.1 [1.7.6.1] USE="-debug -doc -dot -latex -qt4" LINGUAS="-af -ar -ca -cs -da -de -el -eo -es -fa -fi -fr -hr -hu -hy -id -it -ja -ko -lt -mk -nb -nl -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -tr -uk -vi -zh" 6,056 kB
[ebuild r U ] app-text/poppler-0.22.5:0/37 [0.22.2-r2:0/35] USE="cairo cxx introspection jpeg lcms png tiff utils -cjk -curl -debug -doc -jpeg2k -qt4" 2,187 kB
[ebuild rR ] net-print/cups-filters-1.0.34-r1 USE="jpeg png tiff -perl -static-libs -zeroconf" 0 kB
[ebuild rR ] app-office/libreoffice-4.0.4.2 USE="branding cups dbus gstreamer gtk mysql odk opengl vba webdav (-aqua) -bluetooth -debug -eds -gnome -java -jemalloc -kde -postgres -telepathy {-test}" LIBREOFFICE_EXTENSIONS="presenter-minimizer -nlpsolver -scripting-beanshell -scripting-javascript -wiki-publisher" PYTHON_SINGLE_TARGET="python2_7 (-python3_3)" PYTHON_TARGETS="python2_7 (-python3_3)" 117,717 kB
[ebuild rR ] app-text/texlive-core-2012-r1 USE="X tk -cjk -doc -source -xetex" 129,811 kB

[ebuild U ] media-libs/libsdl-1.2.15-r4 [1.2.15-r2] USE="X aalib alsa audio directfb fbcon joystick opengl video xinerama xv -custom-cflags -dga -ggi -libcaca -nas -oss (-ps3) -pulseaudio -static-libs -svga -tslib" 3,829 kB
[ebuild rR ] dev-tex/luatex-0.70.1-r2 USE="-doc" 9,014 kB
[ebuild U ] app-emulation/wine-1.6 [1.4.1] USE="X alsa cups fontconfig gecko gphoto2 gsm gstreamer jpeg lcms ldap mono%* mp3 ncurses nls odbc openal opengl perl png prelink run-exes%* samba scanner ssl threads truetype udisks* v4l xinerama xml -capi -custom-cflags -dos% -opencl -osmesa% -oss* -pulseaudio% (-selinux) {-test} -xcomposite (-gnutls%*) (-win32%*) (-win64%)" LINGUAS="en%* -ar% -bg% -ca% -cs% -da% -de% -el% -en_US% -eo% -es% -fa% -fi% -fr% -he% -hi% -hr% -hu% -it% -ja% -ko% -lt% -ml% -nb_NO% -nl% -or% -pa% -pl% -pt_BR% -pt_PT% -rm% -ro% -ru% -sk% -sl% -sr_RS@cyrillic% -sr_RS@latin% -sv% -te% -th% -tr% -uk% -wa% -zh_CN% -zh_TW%" 87,009 kB

Total: 25 packages (12 upgrades, 1 new, 1 in new slot, 11 reinstalls), Size of downloads: 633,720 kB

WARNING: One or more updates have been skipped due to a dependency conflict:

dev-util/mdds:0

(dev-util/mdds-0.8.1::gentoo, ebuild scheduled for merge) conflicts with
<dev-util/mdds-0.8.0 required by (app-office/libreoffice-4.0.4.2::gentoo, ebuild scheduled for merge)

app-admin/eselect:0

(app-admin/eselect-1.3.8::gentoo, ebuild scheduled for merge) conflicts with
<app-admin/eselect-1.3.7 required by (app-shells/bash-completion-1.3-r2::gentoo, installed)

0


Last edited by UncleVan on Sun Sep 22, 2013 8:19 pm; edited 1 time in total
Back to top
View user's profile Send private message
equaeghe
Guru
Guru


Joined: 22 Feb 2005
Posts: 494

PostPosted: Sun Sep 22, 2013 8:18 pm    Post subject: Re: Not the end yet... Reply with quote

UncleVan wrote:
Now last two days "emerge world" behaves strange, libreoffice including (but no libreoffice-bin).

Your issue is unrelated to the one of this thread. I actually think it is not an issue at all: the 'rR' indicates these are forced rebuilds, probably because some library they link to is being changed. In any case, don't hijack this thread by following-up on your issue here.
Back to top
View user's profile Send private message
UncleVan
n00b
n00b


Joined: 08 Feb 2011
Posts: 72

PostPosted: Sun Sep 22, 2013 8:33 pm    Post subject: "No offense given" Reply with quote

I hope you are right. I searched distinctly a recent Libre Office subject to look at, because it LOOKS strange to me. I now took out office and luatex from the wolrd and am building the rest. I then will see if office is still running or misses some shared lib, or preserved; if NOT ...

Also those conflicts are suspicious, simply because they shouldnt be there, and maybe your problem is part of a bigger picture - as so many times before...
So dont be upset ant let us investigate this issue further - for better.

Your UncleVan.
Back to top
View user's profile Send private message
UncleVan
n00b
n00b


Joined: 08 Feb 2011
Posts: 72

PostPosted: Mon Sep 23, 2013 12:27 pm    Post subject: ........ Reply with quote

yes, you were right - libreoffice was pulled by poppler, luatex by huskell or the like... another 6h cpu waste. Feel free to remove my postings.
Your UncleVan.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum